<?php
/**
 * Class to create a custom arbitrary html control for dividers etc
 *
 * @author   WooThemes
 * @package  storefront
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * The arbitrary control class
 */
class Arbitrary_iCare_Control extends WP_Customize_Control {

	/**
	 * The settings var
	 *
	 * @var string $settings the blog name.
	 */
	public $settings = 'blogname';
	/**
	 * The description var
	 *
	 * @var string $description the control description.
	 */
	public $description = '';
	public function __construct( $manager, $id, $args = array() ) {
		parent::__construct( $manager, $id, $args );
		$this->type=$args['type'];
	}
	/**
	 * Renter the control
	 *
	 * @return void
	 */
	public function render_content() {
		switch ( $this->type ) {
			case 'rawfield' :
				echo '<p class="description">' . wp_kses_post( $this->description ) . '</p>';
			break;

			case 'heading':
				echo '<span class="customize-control-title">' . esc_html( $this->label ) . '</span>';
			break;

			case 'divider' :
				echo '<hr class="icare_hr"/>';
			break;
			case 'editor': ?>
				<label>
				  <span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
				  <?php
					$settings = array(
					  'media_buttons' => true,
					  'quicktags' => false,
					  'editor_height'=>'500px'
					  );
					$this->icare_filter_editor_setting_link();
					wp_editor($this->value(), $this->id, $settings );
				  ?>
				</label>
				<script>setTimeout(function(){
        var editor2 = tinyMCE.get('icare_footer_bottom_text');


        if(editor2){
            editor2.onChange.add(function (ed, e) {
                // Update HTML view textarea (that is the one used to send the data to server).

                ed.save();

                jQuery('textarea[name="icare_footer_bottom_text"]').trigger('change');
            });
        }
    },1000);</script>
			<?php
				do_action('admin_footer');
				do_action('admin_print_footer_scripts');
			break;
		}
	}
	private function icare_filter_editor_setting_link() {
        add_filter( 'the_editor', function( $output ) { return preg_replace( '/<textarea/', '<textarea ' . $this->get_link(), $output, 1 ); } );
    }
}